---
# https://vitepress.dev/reference/default-theme-home-page
layout: home

hero:
  name: "Zap"
  text: "A Lightning Fast Networking Solution"
  tagline: "The DX that can't be beat, the speed that can't be matched. The future of Roblox networking is here."
  image:
    src: /logo.svg
    alt: Zap Logo
  actions:
    - theme: brand
      text: Get Started
      link: /install
    - theme: alt
      text: Try it out
      link: /playground

features:
  - title: Buffer Packing
    icon: 📦
    details: Zap packs data into buffers with no overhead. The same data can be sent using a fraction of the bandwidth.
  - title: Lighting Performance
    icon: ⚡
    details: Zap doesn't compromise on performance. Zap's packing and unpacking is typically faster than Roblox's generic encoding.
  - title: Unparalleled DX
    icon: 🧑‍💻
    details: For both the IDL and API, Zap is a joy to use. It's easy to learn, easy to use, and easy to debug. It's the best DX you'll find.
  - title: Security
    icon: 🔒
    details: Zap is fully secure. Buffers make reverse engineering your game's networking much harder and Zap validates all data received.
---

<!--
Zap Logo sourced from Twitter (https://github.com/twitter/twemoji/blob/master/assets/svg/26a1.svg) and is under the CC BY 4.0 (https://creativecommons.org/licenses/by/4.0/) license.
-->
